Skip to main content
Topic: ElkArte 1.0 (Read 1988 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

ElkArte 1.0

I noted some of older php functions are deprecated in php7.2. Will these be addressed in ElkArte 1.0 updates?

Re: ElkArte 1.0

Reply #1

I (personally) am not really that interested in providing 7.2 compat for 1.0.
If anyone else is interested in doing it and there is a release to be done (or there is someone willing to do a release), then yes.

In my own personal plans, when a new minor/major is out, the previous minor/major goes into "maintenance mode" and only security fixes are released for a limited period of time (let's say 6 months, max 1 year). So 1.1 was released in October, let's say April I wouldn't provide any more releases for 1.0 and consider it EOL'ed.
That's more or less what I always supported, of course if anyone comes up and supports it, that's all good, but I don't want to go down the "SMF-way" of supporting multiple versions for ages.

Re: ElkArte 1.0

Reply #2

What work on 7.1 works also on 7.2 .. only 3,4 functions are deprecated ..
mostly used is create_function and each .. both are deprecated but can simple replace with other code. All OOP code that works for 5.7 works also with php7.2

Re: ElkArte 1.0

Reply #3

Quote from: Feline – What work on 7.1 works also on 7.2 .. only 3,4 functions are deprecated ..
mostly used is create_function and each .. both are deprecated but can simple replace with other code. All OOP code that works for 5.7 works also with php7.2

Perhaps, but at least one of those functions is used, even in 1.1.1. 

https://www.elkarte.net/community/index.php?topic=4803.0

 ;)

Re: ElkArte 1.0

Reply #4

No worries. It can still be run with php lower than 7.2.

And looking at it, yeah, based on the error logs, it was create_function in Subs.php in 1.0. 12 occurrences I think. I am not sure about other files yet.

How to fix this anyway? I may attempt to do manual mod on this and suggest it be implemented in the next security update.

Re: ElkArte 1.0

Reply #5

I think I managed to fix it as the 12 create_function errors are now gone but who knows that they may come back later on. ;)

The fixed parts:
Spoiler (click to show/hide)

Re: ElkArte 1.0

Reply #6

I managed to see few more other php7.2 errors in profile files but I didn't fixed them since I upgraded to 1.1 thus no longer have 1.0 forum.

Will try to help if somebody is asking since it is not that difficult to fix.